package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.ClickGui
import fr.username404.snowygui.gui.elements.ClickBox
import net.minecraft.network.chat.TranslatableComponent

@Target(AnnotationTarget.CLASS)
@Retention(AnnotationRetention.RUNTIME)
annotation class ButtonInfo(
    val parent: Category,
    val kind: Type = Type.TOGGLE
) {
    companion object {
        internal var lightningFactor: Float = 0.33F
        enum class Type {
            TOGGLE,
            CLICK // TODO Fix the CLICK behaviour
        }
    }
}; enum class Category(val translationKey: String, val categoryColor: Colors) {
    MISC("snowy.clickbox.misc", Colors.BLUE),
    RISKY("snowy.clickbox.risky", Colors.RED);
    init { ClickGui.components.add(ClickBox(y = 4.0, name = TranslatableComponent(translationKey), color = categoryColor)) }
}
